summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check-version10
1 files changed, 4 insertions, 6 deletions
diff --git a/scripts/check-version b/scripts/check-version
index 53a9a8412..a6f1f211a 100755
--- a/scripts/check-version
+++ b/scripts/check-version
@@ -67,11 +67,9 @@ sts=0
whine "checking for version $v"
for f in $files; do
grep $opts -EHio "(VERSION=|subsurface[[:blank:]]+)?\<v?$v\>" $f || {
- msg="'$f' may need updating"
- if [ $release = y ]; then
- croak "$msg"
- else
- whine "$msg"
- fi
+ [ $release != y ] || sts=1
+ whine "'$f' may need updating"
}
done
+
+exit $sts